Skip to main content
`Ctrl`+`K`

# PEPCreate

Creates the `PEP` context.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPCreate(MPI_Comm comm,PEP *outpep)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- outpep - location to put the `PEP` context

## Note

The default `PEP` type is `PEPTOAR`.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetUp()`, `PEPSolve()`, `PEPDestroy()`, `PEP`

## Level

beginner

## Location

src/pep/interface/pepbasic.c

## Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex50.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex16.c
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages